Package org.apache.catalina.loader

## Class ResourceEntry

- java.lang.Object
- - org.apache.catalina.loader.ResourceEntry

    public class ResourceEntry
    extends java.lang.Object

Resource entry.

Author:
  Remy Maucherat

### Field Summary

Fields
`long` `lastModified` The "last modified" time of the origin file at the time this resource was loaded, in milliseconds since the epoch.
`java.lang.Class<?>` `loadedClass` Loaded class.

### Constructor Summary

Constructors
`ResourceEntry()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lastModified

    public long lastModified

The "last modified" time of the origin file at the time this resource was loaded, in milliseconds since the epoch.

#### loadedClass

    public volatile java.lang.Class<?> loadedClass

Loaded class.

### Constructor Detail

#### ResourceEntry

    public ResourceEntry()